:root {
    --color-red: #C60148;
    --color-ivory: #FCF3EA;
    --color-black: #1D1D1B;

    --font-title: "Fraunces", serif;
    --font-accent: "Cedarville Cursive", cursive;

    --font-size-hn: 60px;
    --font-size-a: 18px;
    --font-size-txt: 16px;

    --padding-txt: 40px;
    --padding-section: 100px;
    --padding-p: 20px;
}

body{
    font-family: "Manrope", sans-serif;
    background-color: var(--color-ivory);
}

img {
    max-width: 100%;
}

a {
    text-decoration: none;
    font-size: var(--font-size-a)
}

p {
    font-size: var(--font-size-txt)
}

.container {
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
    }

[class*="col-"] {
    padding: 0 10px;
    box-sizing: border-box;
}

.col-1 { width: 8.333%; }
.col-2 { width: 16.666%; }
.col-3 { width: 25%; }
.col-4 { width: 33.333%; }
.col-5 { width: 41.666%; }
.col-6 { width: 50%; }
.col-7 { width: 58.333%; }
.col-8 { width: 66.666%; }
.col-9 { width: 75%; }
.col-10 { width: 83.333%; }
.col-11 { width: 91.666%; }
.col-12 { width: 100%; }

/* Hn */

h1 {
    font-family: var(--font-title);
    font-size: var(--font-size-hn);
    color: var(--color-ivory);
    padding-bottom: 20px;
}

h2 {
    font-family: var(--font-title);
    font-size: var(--font-size-hn);
    color: var(--color-red);
}

/* ANIMATION */

header a,
footer a,
.hero-content a,
.section-synderme a,
.section-maison a,
.section-sac1 a,
.section-rs a {
    position: relative;
}

header a:not(.logo-link)::after,
footer a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-ivory);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
}

header a:not(.logo-link):hover::after,
footer a:hover::after {
    transform: scaleX(1);
}

.section-maison a::after,
.section-sac1 a::after,
.section-rs a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-black);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(1);    
}

.section-maison a:hover::after,
.section-sac1 a:hover::after,
.section-rs a:hover::after {
    transform: scaleX(0);
}

.hero-content a::after,
.section-synderme a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-ivory);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(1);
}

.hero-content a:hover::after,
.section-synderme a:hover::after {
    transform: scaleX(0); 
}

/* HEADER */

.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    gap: 200px;
}

.navigation-left,
.navigation-right {
    display: inline-flex;
    align-items: center;
    gap: 40px;
}

.navigation-left a,
.navigation-right a {
    font-family: var(--font-title);
    font-size: 20px;
    color: var(--color-ivory);
}

header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding-top: 40px;
    z-index: 10;
}

/* HERO */

.section-hero {
    position: relative;
    overflow: hidden;
    height: 100vh;
}

.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-content {
    position: absolute;
    bottom: 80px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    z-index: 1;
}

.hero-content a {
    color: var(--color-ivory);
    font-size: var(--font-size-a)
}

.hero-bordure {
    position: absolute;
    bottom: -52px;
    left: 0;
    width: 100%;
    z-index: 2;
}

.hero-bordure img {
    width: 100%;
    height: auto;
    display: block;
}

/* SECTION-MAISON */

.bold {
    font-weight: bold;
}

.section-maison h2 {
    padding-top: var(--padding-section);
    padding-bottom: var(--padding-txt);
}

.section-maison .p1 {
    padding-bottom: var(--padding-p)
}

.section-maison .p2 {
    padding-bottom: var(--padding-txt)
}

.section-maison a {
    color: var(--color-black);
    display: inline-block;
}

.section-maison {
    text-align: center;
}

.section-maison .container {
    padding-bottom: var(--padding-section);
}

/* MARQUEE */

.marquee {
    overflow: hidden;
    padding: 12px 0;
}

.marquee-track {
    display: flex;
    gap: 2rem;
    white-space: nowrap;
    width: max-content;
    animation: scroll 30s linear infinite;
    align-items: flex-end;
    gap: 150px;
    padding-bottom: var(--padding-section);
}

@keyframes scroll {
  from { transform: translateX(0%); }
  to { transform: translateX(-50%); }
}

/* SECTION-SAC */

.section-sac1 .sac1-mobile,
.section-sac2 .sac2-mobile {
    display: none;
}

.section-sac1 h2 {
    padding-bottom: var(--padding-txt);
}

.section-sac1 .p1 {
    padding-bottom: var(--padding-p);
}

.section-sac1 .p2 {
    padding-bottom: var(--padding-txt);
}

.section-sac-txt {
    padding-left: 20px;
}

.section-sac-txt a {
    color: var(--color-black);
}

.bloc-img-sac {
    width: 630px;
    height: 744px;
    overflow: hidden;
}

.bloc-img-sac img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.manuscrit1,
.manuscrit2,
.manuscrit3,
.manuscrit4 {
    position: absolute;
    z-index: 2;
    font-family: var(--font-accent);
    font-size: var(--font-size-hn)
}

.manuscrit1 span,
.manuscrit3 span,
.manuscrit4 span {
    color: var(--color-ivory);
}

.section-sac1,
.section-sac2 {
    position: relative;
    padding: 100px 0 160px;
}

.section-sac1 .container,
.section-sac2 .container {
    position: relative;
}

.manuscrit1 {
    left: 483px;
    bottom: 10px;
}

.manuscrit2 {
    left: 560px;
    bottom: -50px;
}

.dessin-journal {
    position: absolute;
    z-index: 2;
    left: 944px;
    bottom: 120px;
}

.manuscrit3 {
    left: 113px;
    bottom: 250px;
}

.manuscrit4 {
    left: 450px;
    bottom: 170px;
}

/* GIF */

.section-gif {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    padding-bottom: var(--padding-section);
}

.section-gif video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* SECTION-SYNDERME */

.synderme-bordure {
    display: none;
}

.section-synderme {
    position: relative;
    padding-top: var(--padding-section);
}

.fond {
    position: absolute;
    bottom: -240px;
    width: 100%;
    z-index: 0;
}

.fond img {
    width: 100%;
    height: auto;
    display: block;
}

.section-synderme .container {
    position: relative;
    z-index: 1;
    margin-top: -280px;
}

.section-synderme h2 {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 2;
    margin-bottom: -50px;
    text-align: center;
}

.ligne1 {
    margin-left: 120px;
}

.ligne2 {
    margin-left: 810px;
    margin-bottom: 240px;
}

.bloc-img-synderme {
    width: 618px;
    height: 790px;
    overflow: hidden;
    left: 0px;
    bottom: 230px;
}

.bloc-img-synderme img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.section-synderme p {
    color: var(--color-ivory);
}

.section-synderme .p1,
.section-synderme .p2 {
    padding-bottom: var(--padding-p);
}

.section-synderme .p3 {
    padding-bottom: var(--padding-txt);
}

.section-synderme a {
    color: var(--color-ivory);
}

.section-synderme .row {
    align-items: center;
}

.section-synderme .col-7 {
    padding-left: 180px;
}

.section-synderme .h2-mobile {
    display: none;
}

/* SECTION-RS */

.section-rs {
    padding-top: 400px;
    position: relative;
}

.section-rs a {
    color: var(--color-black);
}

.section-rs video {
    width: 100%;
    height: 697px;
    object-fit: cover;
}

.section-rs h2 {
    padding-bottom: var(--padding-p);
}

.section-rs .col-12 {
    padding-bottom: var(--padding-txt);
}

.section-rs .dessin-cafe {
    position: absolute;
    left: 1010px;
    bottom: 1790px;
}

.section-rs .marquee {
    padding-top: 70px;
}

/* FOOTER */

.newsletter h2 {
    font-size: 32px;
    font-family: var(--font-title);
    padding-bottom: var(--padding-p);
    color: var(--color-ivory);
}

.newsletter p,
.footer-nav a,
.footer-legal a,
footer li {
    font-size: 16px;
    color: var(--color-ivory);
}

.footer-nav ul,
.footer-legal ul {
    display: flex;
    gap: 60px;
}

.footer-container {
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
}

.footer-container-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.newsletter-form {
    position: relative;
    display: inline-flex;
    align-items: center;
    padding-bottom: var(--padding-p);
}

input {
    width: 400px;
    height: 30px;
    border-radius: 10px;
    padding-left: 10px;
    border: none;
    position: relative;
    background-color: var(--color-ivory);
}

button {
    position: absolute;
    right: 15px;
    top: 30%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    cursor: pointer;
}

.newsletter {
    padding-bottom: 150px;
}

.newsletter a {
    font-size: 16px;
    color: var(--color-ivory);
}

.footer-nav {
    padding-bottom: var(--padding-p);
}

footer {
    position: relative;
    height: 1100px;
}

.footer-visuel {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.footer-visuel img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* RESPONSIVE */

.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 5px;
}

.burger span {
    display: block;
    width: 25px;
    height: 2px;
    background-color: var(--color-ivory);
}

@media (max-width: 767px) {

    :root {
        --font-size-hn: 36px;
        --padding-section: 60px;
        --padding-txt: 30px;
    }

    h1, h2 {
        font-size: 36px;
    }

    .col-1, .col-2, .col-3, .col-4,
    .col-5, .col-6, .col-7, .col-8,
    .col-9, .col-10, .col-11, .col-12 {
        width: 100%;
    }

    /* HEADER */

    .burger {
        display: flex;
        grid-column: 1;
        grid-row: 1;
        z-index: 11;
        cursor: pointer;
    }

    .navigation {
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-rows: auto auto;
        gap: 0;
        align-items: center;
    }

    .navigation > div {
        grid-column: 2;
        grid-row: 1;
        display: flex;
        justify-content: center;
    }

    .navigation-left {
        grid-column: 1 / -1;
        grid-row: 2;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding-top: 20px;
        width: 100%;
        padding-bottom: 20px;
    }

    .navigation-right {
        grid-column: 1 / -1;
        grid-row: 3;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        width: 100%;
    }

    .navigation-left,
    .navigation-right {
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        width: 100%;
        text-align: center;
    }

    .navigation.open .navigation-left,
    .navigation.open .navigation-right {
        display: flex;
    }

    .navigation > div img {
        width: 150px;
        height: auto;
    }
    
    .hero-bordure {
        bottom: -10px;
    }

    /* SECTION MAISON + SAC */

    .section-maison h2 {
        padding-bottom: var(--padding-txt);
    }

    .section-maison .col-6 {
        padding-left: 20px;
        padding-right: 20px;
    }

    .section-sac1 .bloc-img-sac {
        padding-bottom: var(--padding-txt);
    }

    .section-sac1 .manuscrit1,
    .section-sac1 .manuscrit2,
    .section-sac1 .manuscrit3,
    .section-sac1 .manuscrit4,
    .section-sac2 .dessin-journal,
    .section-sac2 p,
    .section-rs .dessin-cafe,
    .section-rs .video3 {
        display: none;
    }

    .section-sac1,
    .section-sac2 {
        padding-top: 0;
        padding-bottom: var(--padding-section);
    }

    .section-sac1 .sac1-mobile,
    .section-sac2 .sac2-mobile {
        display: block;
        font-family: var(--font-accent);
        font-size: var(--font-size-hn);
        text-align: center;
        padding-top: var(--padding-section);
    }

    .section-sac1 .row {
        flex-direction: column-reverse;
    }

    .section-sac1 .section-sac-txt {
        padding-bottom: var(--padding-section);
        padding-left: 30px;
        padding-right: 30px;
    }

    .section-sac1 h2 {
        text-align: center;
    }

    /* SECTION-SYNDERME */

    .fond {
        display: none;
    }

    .synderme-bordure {
        display: block;
        width: 100%;
        height: auto;
        position: absolute;
        top: 134px;
    }

    .section-synderme {
        padding-top: var(--padding-section);
        padding-bottom: var(--padding-section);
    }

    .section-synderme .container {
        margin-top: 90px;
    }

    .section-synderme .ligne1,
    .section-synderme .ligne2 {
        display: none;
    }

    .section-synderme .h2-mobile {
        display: block;
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: var(--padding-txt);
    }

    .section-synderme .row {
        flex-direction: column-reverse;
        align-items: stretch;
    }

    .bloc-img-synderme {
        width: 100%;
        height: auto;
        aspect-ratio: 618/790;
        overflow: hidden;
        margin-bottom: var(--padding-txt);
    }

    .section-synderme .col-5,
    .section-synderme .col-7 {
        width: 100%;
        position: static;
        top: auto;
    }

    .section-synderme .p1,
    .section-synderme .p2,
    .section-synderme .p3 {
        padding-bottom: var(--padding-p);
    }

    .section-synderme .col-7 {
        padding-left: 0;
        background-color: var(--color-red);
        padding: 30px;
    }

    /* SECTION-GIF */

    .section-gif video {
        width: 100%;
        height: auto;
        aspect-ratio: 16/9;
    }

    .section-gif {
        height: 100%;
    }

    /* SECTION-RS */

    .section-rs {
        padding-top: 0;
    }

    .section-rs .row .video1,
    .section-rs .row .video2 {
        width: 50%;
    }

    .section-rs h2,
    .section-rs a {
        padding-left: 20px;
        padding-right: 20px;
    }

    .section-rs h2 {
        text-align: center;
    }

    /* FOOTER */

    .newsletter h2,
    .newsletter p,
    .newsletter a,
    .footer-nav a,
    .footer-legal a,
    .footer-legal p {
        color: var(--color-black);
    }

    input {
        border: 1px solid;
        border-color: var(--color-red);
    }

    footer {
        height: auto;
        display: flex;
        flex-direction: column-reverse;
    }

    .footer-visuel {
        position: relative;
        width: 100%;
    }

    .footer-visuel img {
        width: 100%;
        height: auto;
        object-fit: cover;
        padding-top: 50px;
    }

    .footer-container {
        position: relative;
        bottom: auto;
        left: auto;
        transform: none;
    }

    .footer-container-nav {
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-between;
        width: 100%;
    }

    .footer-nav ul,
        .footer-legal ul {
            flex-direction: column;
            gap: 20px;
            text-align: left;
    }

    .newsletter {
        padding-bottom: 50px;
    }

    /* ANIMATION */

    footer a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-black);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
    }

    footer a:hover::after {
        transform: scaleX(1);
    }
}